import { CustomStyleElementsList, SelectProps } from './Select.types';
export declare const DEFAULT_CSS_CLASS_BASE = "reactSimpleSelect";
export declare const DEFAULT_NO_OPTIONS_MESSAGE = "No Options";
export declare const DEFAULT_PLACEHOLDER = "Select...";
export declare const DEFAULT_ASYNC_SEARCH_DEBOUNCE = 500;
export declare const DEFAULT_ASYNC_SEARCHING_TEXT = "Searching...";
export declare const DEFAULT_GET_OPTION_KEY: (option: any) => any;
export declare const DEFAULT_GET_OPTION_VALUE: (option: any) => any;
export declare const DEFAULT_GET_OPTION_LABEL: (option: any) => string;
export declare const DEFAULT_TEST_ID_CLEAR_ICON: string;
/**
 * A helper function to generate the full CSS class name
 * on top of the shared base class name.
 *
 * e.g. If base class name is `reactSimpleSelect`, calling this with `__label`
 * would return teh full string `reactSimpleSelect__label`.
 * @param className
 */
export declare const css: (className: string) => string;
/**
 * A map of pre-built style names for the default styling for the Select component.
 * This is mostly a convenience to simplify and shorten the application of some
 * fairly long and repetitive names. It also gives a "faux CSS Modules" style
 * naming convention, of being able to apply CSS classes with type completion.
 *
 * In general, these should be used when applying default styles to Select,
 * rather than setting them as strings.
 *
 * Something like:
 * `<div className={styles.active} />`
 */
export declare const styles: CustomStyleElementsList;
/**
 * A simple default search/filter function for the provided set of options.
 * Performs a simple case-insensitive search between the search term
 * and the parsed label of each option in the current set.
 * @param props
 * @param searchString
 */
export declare const filterOptionsBySearch: (props: SelectProps, searchString: string) => any[];
