import { SelectProps } from './Select.types';
export declare enum SelectActionType {
    focus = 0,
    blur = 1,
    inputChange = 2,
    openMenu = 3,
    closeMenu = 4,
    setHighlighted = 5,
    asyncSearchStart = 6,
    asyncSearchEnd = 7
}
export declare type SelectReducerAction = {
    payload?: {
        highlightIdx?: number;
        highlightIncrement?: number;
        inputValue?: string;
        options?: any[];
    };
    props: SelectProps;
    type: SelectActionType;
};
export declare type SelectState = {
    active: boolean;
    highlightedIdx: number;
    inputValue: string;
    menuIsOpen: boolean;
    searching: boolean;
    visibleOptions: any[];
};
export declare const initialSelectState: (options?: any[]) => SelectState;
export declare const reducer: (state: SelectState, action: SelectReducerAction) => SelectState;
